<div class="card-deck">

    <div class="card mb-3">

        <div class="card-body" (click)="registerAsset()"
             [ngClass]="[assetData.isRegistered ? 'registedIcon' : 'registerNowIcon', embossedFlag ? 'count-card-embossed': '']">

            <h4 class="card-title uppercase">{{assetData.assetData.assetType}}</h4>
            <div class="card-text" *ngIf="assetData.assetData.beaconId">Beacon Id: <span>{{assetData.assetData.beaconId| slice:0:15}}</span>
            </div>
            <div class="card-text" *ngIf="assetData.assetData.RFIDId">RF Id : <span>{{assetData.assetData.RFIDId | slice:0:15}}</span>
            </div>
            <p class="card-text">Last Seen: <span>{{assetData.lastSeen | date:'medium'}}</span></p>

            <app-group-badge [assetData]="assetData.assetData"></app-group-badge>

        </div>

    </div>

</div>


